ApplicationEventQueue

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openswing.swing.util.client
Class ApplicationEventQueue

    java.lang.Object
      org.openswing.swing.util.client.ApplicationEventQueue

public class ApplicationEventQueue
extends java.lang.Object

Title: OpenSwing Framework

Description: System event queue, used to intercept key events or mouse events or focus events for the MDIFrame or Form object or any other JComponent.

Copyright: Copyright (C) 2006 Mauro Carniel

This file is part of OpenSwing Framework. This library is free software; you can redistribute it and/or modify it under the terms of the (LGPL) Lesser General Public License as published by the Free Software Foundation; GNU LESSER GENERAL PUBLIC LICENSE Version 2.1, February 1999 This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Library General Public License for more details. You should have received a copy of the GNU Library General Public License along with this library; if not, write to the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. The author may be contacted at: maurocarniel@tin.it

Method Summary
`void` | `addKeyListener(java.awt.event.KeyListener listener)` Add a key listener.
`void` | `addMouseListener(java.awt.event.MouseListener listener)` Add a mouse listener.
`void` | `dispatchEvent(java.awt.AWTEvent e)` Send an AWT event.
`static ApplicationEventQueue` | `getInstance()`
`java.awt.event.KeyListener[]` | `getKeyListeners()`
`void` | `removeKeyListener(java.awt.event.KeyListener listener)` Remove a key listener.
`void` | `removeMouseListener(java.awt.event.MouseListener listener)` Remove a mouse listener.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### addKeyListener

    public final void addKeyListener(java.awt.event.KeyListener listener)

  Add a key listener.

  Parameters:
    `listener` - KeyListener to add

### removeKeyListener

    public final void removeKeyListener(java.awt.event.KeyListener listener)

  Remove a key listener.

  Parameters:
    `listener` - KeyListener to remove

### getKeyListeners

    public final java.awt.event.KeyListener[] getKeyListeners()

  Returns:
    KeyListener objects currently registered

### addMouseListener

    public final void addMouseListener(java.awt.event.MouseListener listener)

  Add a mouse listener.

  Parameters:
    `listener` - MouseListener to add

### removeMouseListener

    public final void removeMouseListener(java.awt.event.MouseListener listener)

  Remove a mouse listener.

  Parameters:
    `listener` - MouseListener to remove

### getInstance

    public static final ApplicationEventQueue getInstance()

  Returns:
    single instance of ApplicationEventQueue

### dispatchEvent

    public final void dispatchEvent(java.awt.AWTEvent e)

  Send an AWT event.

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD